[Ruby 1.9-Bug#4395][Assigned] Can't require test/rubygems/simple_gem when tests run in different dir

Bug #4395: Can’t require test/rubygems/simple_gem when tests run in
different directory
http://redmine.ruby-lang.org/issues/show/4395

起票者: Yui NARUSE
ステータス: Assigned, 優先度: Normal
担当者: Eric H., Target version: 1.9.2
ruby -v: ruby 1.9.3dev (2011-02-14 trunk 30865) [x86_64-freebsd8.2]

It fails as following:

  1. Skipped:
    test_require_failed(test/rubygems/simple_gem)
    [/home/naruse/ruby/test/rubygems/test_gem_format.rb:8]:
    cannot load such file – test/rubygems/simple_gem

  2. Skipped:
    test_require_failed(test/rubygems/simple_gem)
    [/home/naruse/ruby/test/rubygems/test_gem_validator.rb:8]:
    cannot load such file – test/rubygems/simple_gem

Line 8 of test/rubygems/test_gem_format.rb should use require_relative.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs